const mongoose = require('mongoose');

const positionSchema = new mongoose.Schema({
  PosName: {
    type: String,
    required: [true, 'Position name is required'],
    unique: true,
    trim: true
  },
  RequiredQualification: {
    type: String,
    trim: true
  }
}, { timestamps: true });

module.exports = mongoose.model('Position', positionSchema);
